package com.szpg.plc.message.command.write;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.WriteMemoryCommand;
import com.szpg.plc.message.response.WriteMemoryCommandResponse;

public class SetWdThresholdWordCommand extends WriteMemoryCommand {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 3035676529310605546L;
	
	private float threshold;
	
	public float getThreshold() {
		return threshold;
	}

	public void setThreshold(float threshold) {
		this.threshold = threshold;
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_SETWDTHRESHOLD;
	}

	@Override
	public Class<WriteMemoryCommandResponse> getResponseClass() {
		return WriteMemoryCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送设置温度报警阈值命令[" + threshold + "]";
	}
}
